repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.4.0
    hooks:
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: mixed-line-ending
      - id: trailing-whitespace
  - repo: https://github.com/asottile/pyupgrade
    rev: v2.10.0
    hooks:
      - id: pyupgrade
        args: ["--py36-plus"]
  - repo: https://github.com/asottile/reorder_python_imports
    rev: v2.4.0
    hooks:
      - id: reorder-python-imports
        args: ["--py3-plus"]
  - repo: https://github.com/psf/black
    rev: 20.8b1
    hooks:
      - id: black
  - repo: https://github.com/pre-commit/mirrors-eslint
    rev: v7.20.0
    hooks:
      - id: eslint
        args: ["--quiet", "--fix"]
        files: \.(js|vue|html)$
        types: [file]
        additional_dependencies:
          - eslint@7.20.0
          - eslint-plugin-html@6.1.1
          - eslint-plugin-vue@7.6.0
  - repo: local
    hooks:
      - id: apply-license
        name: Apply Apache 2.0 License
        language: python
        entry: ./bin/apply_license.py
        files: \.(py|js|css|scss|vue|html)$
        types: [file]
        args: ["-a", "-x", "bin", "-x", "kadi/migrations", "-x", "kadi/static/dist"]
        additional_dependencies: ["Click"]
